import Color from "../../system/Color";
import { StiHorizontalAlignment } from "../../system/enums";
import { Font } from "../../system/Font";
import { StiEditableContent, StiValueElement } from "../../system/interfaces";
import { StiTableElement } from "../StiTableElement";
export declare class StiRowLabel implements StiEditableContent, StiValueElement {
    table: StiTableElement;
    index: number;
    get eFont(): Font;
    displayValue: string;
    set eFont(value: Font);
    get eColor(): Color;
    set eColor(value: Color);
    get eBackgroundColor(): Color;
    set eBackgroundColor(value: Color);
    get expression(): string;
    haveBackgoundColor(): boolean;
    get eContentAlignment(): StiHorizontalAlignment;
    set eContentAlignment(value: StiHorizontalAlignment);
    haveContentAlignment(): boolean;
    haveVerticalAlignment(): boolean;
    getDefaultEditableContent(): StiEditableContent;
    htmlStyle(): string;
    private _value;
    set value(value: string);
    get value(): string;
    set eValue(value: string);
    get eValue(): string;
    constructor(value: string, table: StiTableElement, index: number);
}
